import abc
from typing import TYPE_CHECKING

from report_writer.core.writers.base import BaseWriter


if TYPE_CHECKING:
    from report_xlsxwriter.report_file import ReportFile


class BaseReportWriter(BaseWriter, metaclass=abc.ABCMeta):
    """
    Базовый класс-писатель для отчёта.

    :param report: Файл отчёта
    """
    def __init__(self,
                 report: 'ReportFile'
                 ) -> None:
        self._report: 'ReportFile' = report
